<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>CodeJava – Lectures</title>
    <link>http://localhost:1313/courses/prog-intro/lectures/</link>
    <description>Recent content in Lectures on CodeJava</description>
    <generator>Hugo -- gohugo.io</generator>
    <language>en</language>
    
	  <atom:link href="http://localhost:1313/courses/prog-intro/lectures/index.xml" rel="self" type="application/rss+xml" />
    
    
      
        
      
    
    
    <item>
      <title>Lecture 1. Introduction</title>
      <link>http://localhost:1313/courses/prog-intro/lectures/intro/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      
      <guid>http://localhost:1313/courses/prog-intro/lectures/intro/</guid>
      <description>
        
        
        &lt;h1&gt;Why do we choose Java?&lt;/h1&gt;&lt;p&gt;According to &lt;strong&gt;TIOBE Programming Community Index&lt;/strong&gt; Java is one of the most demanded languages in the programming field.&lt;/p&gt;
&lt;p&gt;
    &lt;img src=&#34;../assets/tiobe.png&#34; alt=&#34;TIOBE Programming Community Index&#34;  loading=&#34;lazy&#34; /&gt;
&lt;em&gt;Img. 1 - TIOBE Programming Community Index&lt;/em&gt;&lt;/p&gt;
&lt;p&gt;Also, Java has a lot of advantages for beginners such as:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;It&amp;rsquo;s fairly easy&lt;/li&gt;
&lt;li&gt;It has a broad spectre of usage
&lt;ul&gt;
&lt;li&gt;Server&lt;/li&gt;
&lt;li&gt;Desktop&lt;/li&gt;
&lt;li&gt;Mobile devices&lt;/li&gt;
&lt;li&gt;Smart-cards&lt;/li&gt;
&lt;/ul&gt;
&lt;/li&gt;
&lt;/ul&gt;
&lt;h1&gt;What does Java consist of?&lt;/h1&gt;&lt;p&gt;Java consists of multiple main components. The first one being the &lt;strong&gt;Java compiler&lt;/strong&gt;. The process of converting &lt;em&gt;human-readable&lt;/em&gt; text to &lt;em&gt;machine code&lt;/em&gt; is called &lt;strong&gt;compilation&lt;/strong&gt;.&lt;/p&gt;
&lt;p&gt;
    &lt;img src=&#34;../assets/compilation-process-simplified.svg&#34; alt=&#34;Compilation Process Simplified&#34;  loading=&#34;lazy&#34; /&gt;
&lt;em&gt;Img.2 - Simplified Compilation Process&lt;/em&gt;&lt;/p&gt;

      </description>
    </item>
    
  </channel>
</rss>
